/* Datei: fgets.c */
/* Auslesen von Strings aus einer Datei und Ausgabe nach stdout   */
#include <stdio.h>
#define STR_LEN 80

int main (void)
{
   const char * const filename = "bsp.txt";
   FILE * fp;
   char string [STR_LEN];

   if ((fp = fopen ("bsp.txt", "r")) == NULL)
   {
      fprintf (stderr,
         "Fehler beim Oeffnen der Datei %s\n", filename);
      return 1;
   }

   /* Datei zeilenweise auslesen und auf Bildschirm ausgeben,     */
   /* bis Dateiende erreicht:                                     */
   while (fgets (string, STR_LEN, fp) != NULL)
      fputs (string, stdout);

   fclose (fp);
   return 0;
}


