/* Datei: fprintf.c */
/* Schreiben einiger float-Zahlen */
#include <stdio.h>

int main (void)
{
   const char * const filename = "bsp.txt";
   FILE * fp;
   int lv;
   
   if ((fp = fopen (filename, "w")) == NULL)
   {
      fprintf (stderr,
         "Fehler beim Oeffnen der Datei %s\n", filename);
      return 1;
   }
   
   for (lv = 0; lv < 10; lv++)
   {
      if (fprintf (fp, "%f\n", (float)lv) <= 0)
      {
         fprintf (stderr,
            "Fehler beim Schreiben in die Datei %s\n", filename);
         return 2;
      }
   }
   
   if (fclose (fp) != 0)
   {
      fprintf (stderr,
         "Fehler beim Schliessen der Datei %s\n", filename);
      return 3;
   }
   return 0;
}
