/* Datei: main.c */
#include <stdio.h>
#include "stack.h"   /* Import der Funktionen und Konstanten      */
                     /* des Moduls "stack"                        */

int main (void)
{
   int anzahl;                    /* Anzahl einzulesender Zahlen  */
   int lv;                        /* Laufvariable                 */
   int zahl;                      /* Laufende Zahl                */
   enum stack_errors status       /* Rueckgabewerte von           */
             = STACK_OK;          /* stack_push(), stack_pop()    */

   printf ("\nWieviel Zahlen wollen Sie eingeben?: ");
   scanf ("%d", &anzahl);
   for (lv = 0; lv < anzahl && status == STACK_OK; lv++)
   {
      printf ("Geben Sie bitte eine Zahl ein: ");
      scanf ("%d", &zahl);
      status = stack_push (zahl); /* Zahl auf Stack ablegen       */
   }
   if (status == STACK_OK)
   {
      printf ("\nNun erfolgt die Ausgabe der Zahlen: ");
      for (; lv > 0 && status == STACK_OK; lv--)
      {
         status = stack_pop (&zahl); /* Oberste Zahl vom Stack    */
                                     /* holen                     */
         printf ("\nDie %d-te Zahl war %d", lv, zahl);
      }
   }
   printf ("\n");
   return 0;
}

