/* Datei: fputc.c */
/* Schreiben eines einzelnen Zeichens.*/
#include <stdio.h>

int main (void)
{
   const char * const filename = "bsp.txt";
   const char c = 'G';
   FILE * fp;
   
   if ((fp = fopen (filename, "w")) == NULL)
   {
      fprintf (stderr,
         "Fehler beim Oeffnen der Datei %s\n", filename);
      return 1;
   }
   
   if (fputc (c, fp) == EOF)
   {
      /* Fehlerbehandlung */
      fprintf (stderr, "Fehler beim Schreiben des Zeichen ");
      fprintf (stderr, "%c in die Datei %s\n", c, filename);
      return 2;
   }
   fclose (fp);
   return 0;
}
