/* Datei: fscanf.c */
#include <stdio.h>

int main (void)
{
   FILE * fp;
   int zahl, anzahl;
   const char * const filename = "bsp.txt";
   
   /* Datei oeffnen:                                              */
   if ((fp = fopen (filename, "r")) == NULL)
   {
      /* Fehlerbehandlung:                                        */
      fprintf (stderr, 
         "Datei '%s' konnte nicht zum Lesen" 
         " geoeffnet werden!\n", filename);
      return 1;
   }
   
   /* Zahl von Datei lesen:                                       */
   if ((anzahl = fscanf (fp, "%d", &zahl)) == EOF)
   {
      /* Fehlerbehandlung:                                        */
      fprintf (stderr, 
         "Konnte nichts aus '%s' lesen!\n", filename);
      return 2;
   }
   else
   {
      if (anzahl == 0)
      {
         /* Fehlerbehandlung:                                     */
         fprintf (stderr, 
            "Konnte keine Zahl aus '%s' lesen!\n", filename);
         return 3;
      }
   }
   fclose (fp);
   printf ("Die Zahl in der Datei %s war %d.\n", filename, zahl);

   return 0;
}


