/* Datei: ungetc.c */
/* Summieren aller ganzen Zahlen in Datei mit weiterem Text.      */
#include <stdio.h>
#include <ctype.h> /* Fuer Funktion isdigit()                     */

int main (void)
{
   const char * const filename = "bsp.txt";
   FILE * fp;
   int lc, zahl, summe=0;
   if ((fp = fopen (filename, "r")) == NULL)
   {
      fprintf (stderr,
         "Fehler beim Oeffnen der Datei %s\n", filename);
      return 1;
   }
   
   while ((lc = fgetc(fp)) != EOF)
   {
      if (isdigit (lc)) /* Zeichen ist Ziffer -> zu viel gelesen  */
      {  /* Zurueck damit in den Dateipuffer...                   */
         ungetc (lc, fp);
         /* Und jetzt formatiert eine ganze Zahl lesen:           */
         fscanf (fp, "%d", &zahl);
         summe += zahl;
      }
   }
   printf ("Die Summe aller ganzen Zahl in %s ist %d.\n",
      filename, summe);
   fclose (fp);
   return 0;
}

